VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Networking::Dns::Servers::TestStatusInfo Class Reference
Inheritance diagram for Com::Vmware::Appliance::Networking::Dns::Servers::TestStatusInfo:

## Avaliable Methods
public method | set_messages ()
public method | new ()
public method | get_messages ()
public method | set_status ()
public method | get_status ()

## Detailed Description

`Com::Vmware::Appliance::Networking::Dns::Servers::TestStatusInfo` class Overall test result

## Member Function Documentation

public method Com::Vmware::Appliance::Networking::Dns::Servers::TestStatusInfo::get_messages | ( |  | ) |

Gets the value of 'messages' property.

Return values

  messages | - The current value of the field. messages List#

Code:
click to view
# Number of lines of code in get_messages: 4
sub get_messages {
my ($self, %args) = @_;
return $self->{'messages'};
}

public method Com::Vmware::Appliance::Networking::Dns::Servers::TestStatusInfo::get_status | ( |  | ) |

Gets the value of 'status' property.

Return values

  status | - The current value of the field. Overall status of tests run. TestStatus#

Code:
click to view
# Number of lines of code in get_status: 4
sub get_status {
my ($self, %args) = @_;
return $self->{'status'};
}

public method Com::Vmware::Appliance::Networking::Dns::Servers::TestStatusInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Appliance::Networking::Dns::Servers::TestStatusInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{status} = $args{'status'};
$self->{messages} = $args{'messages'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Appliance::Networking::Dns::Servers::TestStatusInfo');
$self->set_binding_name('name' => 'com.vmware.appliance.networking.dns.servers.test_status_info');
$self->set_binding_field('key' => 'status', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Networking::Dns', 'type_name' => 'Servers::TestStatus'));
$self->set_binding_field('key' => 'messages', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Appliance::Networking::Dns', 'type_name' => 'Servers::Message')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Networking::Dns::Servers::TestStatusInfo::set_messages | ( |  | ) |

Sets the given value for 'messages' property.

Parameters

  messages | - New value for the field. messages

Code:
click to view
# Number of lines of code in set_messages: 5
sub set_messages {
my ($self, %args) = @_;
$self->{'messages'} = $args{'messages'};
return;
}

public method Com::Vmware::Appliance::Networking::Dns::Servers::TestStatusInfo::set_status | ( |  | ) |

Sets the given value for 'status' property.

Parameters

  status | - New value for the field. Overall status of tests run.

Code:
click to view
# Number of lines of code in set_status: 5
sub set_status {
my ($self, %args) = @_;
$self->{'status'} = $args{'status'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Networking/Dns/Servers.pm